﻿<!DOCTYPE html>
<html>
<head>
<meta name="description" content="Explaining about why do I sign my emails using PGP." />
<meta name="keywords" content="PGP,email,GPG,spoofing,cacert,inline,PGP/INLINE,PGP/MINE,clearsign,Thunderbird,Icedove,Enigmail," />
<meta name="author" content="Mika Suomalainen" />
<link rel="canonical" href="http://mkaysi.github.com/PGP/WhyDoISignEmails.html">
<meta charset="UTF-8" />
<title>Why do I sign emails, which I send?</title>
<link rel="stylesheet" type="text/css" href="../tyyli.css" />
</head>
<hr/>
[Sitemap](../sitemap/sitemap.html)
<hr/>

# Signing emails.

## Why do you sign all your messages?

The signature is evidence that message comes from me. If I sign all my messages, 
I can say that I sign all my messages and possibly unsigned offensive
content, which is spoofed to "come" from my address, isn't sent by me.

### Who would want to spoof you?

I don't know, but it seems that some people want. On 06.10.12 there has been spam attack against [Limnoria's pastebin] where the pasted message has title which contains some nicks (including mine) from #Limnoria at freenode and then Limnoria bot announces it on #Limnoria and spams people.

What does this have to do with me? I was sleeping when this started around 00:30 Finnish time (UTC+3), but the pasted message claims

```
Pasted by Mkaysi.
```

Everyone knows that I am known as Mkaysi at multiple places, but that paster isn't me. If I pasted something, the paster name would be "Mkaysi".

Maybe I will start signing all my pastes in the future. There is [feature request for pastebinit] about that.

#### Expection

School forces me to send some emails without signing them when I am not at home.



### But it doesn't prove anything, you can just leave offensive content unsigned.

True, I could do that. But I don't have habit of writing offensive text and saying that it doesn't come from me.

## Your signature doesn't mean anything anyway, because you aren't part of any trust web.

Actually, I am, but my key is only signed by bots (see below).

You might have "import-minimal" or "import-clean" in your keyserver-options in your gpg.conf, so you don't see the signatures. If you don't have them, run 

> gpg --keyserver pool.sks-keyservers.net --refresh-keys 0x4DB53CFE82A46728 

and signatures should appear.

*NOTE*: My key contains information, that my preferred keyserver is pool.sks-keyservers.net, so it's used with --refresh-keys with my key even if you speify another keyserver. This isn't the case if you use very old version of my key.

### Why you don't get signatures from some bot certificate authority?

#### [PGP Global Directory]

I have got signature from [PGP Global Directory], it wanted only to confirm my email addresses.

### [Hushmail]

I have got signature from [Hushmail]. It wanted only to confirm email addresses too.

[Hushmail]:https://www.hushtools.com/

### [CAcert]

According to "Locate assurer" feature at [CAcert], the nearest assurer is
 110KM away from me.

#### Why did you mention [CAcert]?

[https://wiki.cacert.org/PgpSigning](https://wiki.cacert.org/PgpSigning)

[CAcert]:https://cacert.org/

[PGP Global Directory]:https://keyserver.pgp.com/vkd/GetWelcomeScreen.event

# Clearsigning/INLINE signing

## Why do you GPG clearsign your emails instead of using PGP/MIME or something less spammy?

1. Some mailing list software mess up with headers and make PGP/MIME signatures unverifiable at least to Enigmail.
Some people say that that what those mailing lists do is completely valid. It's up to you to believe in Enigmail developers or other people.

    Which mailing lists do that?

    At least the following:

    1. [Ubuntu mailing lists](https://lists.ubuntu.com). See also [bug 996581 at Launchpad](https://bugs.launchpad.net/bugs/996581).

    2. [Mozdev mailing lists](https://www.mozdev.org/mailman/listinfo).

    3. [GnuPG mailing lists](http://lists.gnupg.org/mailman/listinfo/).

2. INLINE messages are easier to verify manually (presuming that charset doesn't cause problems).

    There are many web archives and sometimes people want to verify signatures of emails, which they didn't receive. Think about [Debian BTS].

3. [K9 Mail] doesn't support PGP/MIME.

[K9 Mail]:https://github.com/k9mail/k-9

4. [Debian BTS] doesn't send working PGP/MIME back in subscribtion confirmations.

    In my opinion, it's easier to check did you request something with [Ðebian BTS] if it has content, which is signed with your key.

[Debian BTS]:http://bugs.debian.org/

## But clearsigned signature looks ugly.
    
This is the problem of your email client. If you use [Thunderbird or Icedove or Seamonkey],
you can probably install [Enigmail] and that signature block gets hidden.
If you use some other email client, please report bug for that package in 
your distribution or upstream bug tracker.

[Thunderbird or Icedove or Seamonkey]:https://mozilla.org/thunderbird
[Enigmail]:http://enigmail.mozdev.org/home/index.php.html

<strong>Enigmail doesn't hide the keyblock unless you import the key</strong>

## Importing keys automatically

To import keys automatically (when you receive email/file/whatever that is signed and you don't have the key), you have two options. Remember that this imports keys of other people too, so you will be seeing less large ugly character messes. :)

### Enigmail

Go to "OpenPGP" --> "Settings" --> "Show Expert Settings" --> "Keyserver" and enter keyserver address to the second box. I recommend pool.sks-keyservers.net as it's the most popular. (Please note that I am using Enigmail in Finnish so I have translated these places from Finnish to English, they might have different names to you).

> pool.sks-keyservers.net

### GnuPG level

If you are using GPG, you can add two lines to your gpg config file. In Linux and Mac that means ~/.gnupg/gpg.conf, with Windows it means "C:\Users\Username\AppData\Roaming\GnuPG\gpg.conf" (or something like that).

```
keyserver pool.sks-keyservers.net
keyserver-options no-include-revoked auto-key-retrieve
```

If you are worried about space usage of your public keyring, you can add "import-clean" or "import-minimal" after "auto-key-retrieve". The first removes all useless signatures from the key (=signatures from keys that aren't in your keyring) and the second removes all signatures from the key.

I am importing keys fully and I have 118 different public keys in my keyring and the space usage is 4,4M. I am on multiple mailing lists where some people use PGP or GPG.

## I am on slow connection and your signature is too big for me.

And what does that have to do with INLINE signature? In PGP/MIME you would
 download the same mess, but inside signature.asc file.

# Other things

## Why did you write this page?

Because I am fed up explaining myself on some mailing lists. This page will
 be linked in my email signature and I will ignore every question about things,
 which read on this page.

## So you are just ignorant and want to spam people?

I want to raise awareness about PGP and that it's very easy to spoof emails
 from addresses of other people. As stated previously, I will also ignore 
claims like that.

</html>

<hr/>

<div id="disqus_thread"></div>
<script type="text/javascript">
/* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
var disqus_developer = 0; 
var disqus_url = 'http://mkaysi.github.com/PGP/WhyDoISignEmails.html';
var disques_title = 'Why do I sign emails using PGP';
var disqus_shortname = 'mkaysishomepage'; // required: replace example with your forum shortname
/* * * DON'T EDIT BELOW THIS LINE * * */
            (function() {
                var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = 
true;
                dsq.src = 'http://' + disqus_shortname + '.disqus.com/embed.js';
                (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0])
.appendChild(dsq);
            })();
        </script>
        <noscript>
Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Dis
qus.</a>
</noscript>
        
<p><a href="http://disqus.com" class="dsq-brlink">comments powered by <span class="logo-disqus">Disqus
</span></a></p>
<!-- vim : set ft=html -->
<meta http-equiv="X-UA-Compatible" content="chrome=1">
<html>
<body>
  <script type="text/javascript" 
   src="http://ajax.googleapis.com/ajax/libs/chrome-frame/1/CFInstall.min.js"></script>

  <style>
   /* 
    CSS rules to use for styling the overlay:
      .chromeFrameOverlayContent
      .chromeFrameOverlayContent iframe
      .chromeFrameOverlayCloseBar
      .chromeFrameOverlayUnderlay
   */
  </style> 

  <script>
   // You may want to place these lines inside an onload handler
   CFInstall.check({
     mode: "overlay",
     url: "https://www.google.com/intl/en/chrome/business/browser/chromeframe.html"
   })
  </script>
</body>
</html>
